import thorpy, graphics

def get_e_coin(d, color):
    coin = graphics.get_round(d, 0.3, color)
    e_coin = thorpy.Element()
    e_coin.finish()
    e_coin.set_size(coin.get_size())
    e_coin.set_image(coin)
    return e_coin

def get_e_grid(board, cell_size, grid_color, bckgr, gap):
    g = graphics.get_grid(board.nx, board.ny, cell_size, gap, grid_color, bckgr)
    e_grid = thorpy.Element()
    e_grid.finish()
    e_grid.set_size(g.get_size())
    e_grid.set_image(g)
    e_grid.center()
    e_grid.stick_to("screen","bottom","bottom")
    return e_grid

